# Uses of Interface
org.opensaml.soap.soap11.FaultCode

Packages that use FaultCode
Package
Description
org.opensaml.soap.soap11
XMLObject interfaces for SOAP 1.1 elements.
org.opensaml.soap.soap11.impl
Provided implementations of the SOAP 1.1 XMLObject interfaces.

## Uses of FaultCode in org.opensaml.soap.soap11

Methods in org.opensaml.soap.soap11 that return FaultCode
Modifier and Type
Method
Description
`FaultCode`
Fault.`getCode()`
Gets the fault code for this fault.
Methods in org.opensaml.soap.soap11 with parameters of type FaultCode
Modifier and Type
Method
Description
`void`
Fault.`setCode(FaultCode newFaultCode)`
Sets the fault code for this fault.

## Uses of FaultCode in org.opensaml.soap.soap11.impl

Classes in org.opensaml.soap.soap11.impl that implement FaultCode
Modifier and Type
Class
Description
`class`
`FaultCodeImpl`
Concrete implementation of `FaultCode`.
Fields in org.opensaml.soap.soap11.impl declared as FaultCode
Modifier and Type
Field
Description
`private FaultCode`
FaultImpl.`faultCode`
Fault code.
Methods in org.opensaml.soap.soap11.impl that return FaultCode
Modifier and Type
Method
Description
`FaultCode`
FaultCodeBuilder.`buildObject()`
Builds a SOAPObject using the default name and namespace information provided SOAP specifications.
`FaultCode`
FaultCodeBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`FaultCode`
FaultImpl.`getCode()`
Gets the fault code for this fault.
Methods in org.opensaml.soap.soap11.impl with parameters of type FaultCode
Modifier and Type
Method
Description
`void`
FaultImpl.`setCode(FaultCode newFaultCode)`
Sets the fault code for this fault.